@echo off
set fehler=0

rem
rem  Kopiert die Original CATSettings vom Netz in dem User-Verzeichnis CATSettings
rem
rem  Die Globale Variablen bzw. die Datei CATIA.V5R**.B**.txt mu auch kopiert werden
rem  sonst lauft CATDUAV5.exe nicht weil die Lizenz nicht gefunden wird.
rem

REM %1=Catia-Version

if "%1%" == "" goto stop


echo.
echo Alle CATSettings von CATIA-%1 werden geloescht
echo und die Originalen wieder kopiert!
echo.
pause

REM Die alten CATSettings lschen
del "%USERPROFILE%\Anwendungsdaten\DassaultSystemes\CATSettings\%1\*.*" /Q /S


REM Die Original-CATSettings kopieren
xcopy i:\config\CATSettings\%1\*.*  "%USERPROFILE%\Anwendungsdaten\DassaultSystemes\CATSettings\%1\*.*" /S


REM Die Globale Variablen bzw. die Datei *.txt kopieren
del D:\catia\%1\CATEnv\*.txt
copy I:\config\CATEnv\%1\*.txt D:\catia\%1\CATEnv\*.*



@echo off

pause

Goto ende

:stop
cls
echo.
echo Fehler!
echo Kein Parameter angegeben.
echo.
echo 
pause

:ende

